Package com.ocient.jdbc.proto

# Class ClientWireProtocol.OpenIDAuthenticator.Builder

java.lang.Object
com.google.protobuf.AbstractMessageLite.Builder
com.google.protobuf.AbstractMessage.Builder<BuilderT>
com.google.protobuf.GeneratedMessageV3.Builder<ClientWireProtocol.OpenIDAuthenticator.Builder>
com.ocient.jdbc.proto.ClientWireProtocol.OpenIDAuthenticator.Builder

All Implemented Interfaces:
  `Message.Builder`, `MessageLite.Builder`, `MessageLiteOrBuilder`, `MessageOrBuilder`, `ClientWireProtocol.OpenIDAuthenticatorOrBuilder`, `Cloneable`

Enclosing class:
  ClientWireProtocol.OpenIDAuthenticator

public static final class ClientWireProtocol.OpenIDAuthenticator.Builder extends GeneratedMessageV3.Builder<ClientWireProtocol.OpenIDAuthenticator.Builder> implements ClientWireProtocol.OpenIDAuthenticatorOrBuilder
Protobuf type `xg.cmdcomp.OpenIDAuthenticator`

## Method Summary

Modifier and Type
Method
Description
`ClientWireProtocol.OpenIDAuthenticator.Builder`
`addAllScope(Iterable<String> values)`
`repeated string scope = 3;`
`ClientWireProtocol.OpenIDAuthenticator.Builder`
`addScope(String value)`
`repeated string scope = 3;`
`ClientWireProtocol.OpenIDAuthenticator.Builder`
`addScopeBytes(ByteString value)`
`repeated string scope = 3;`
`ClientWireProtocol.OpenIDAuthenticator`
`build()`
Constructs the message based on the state of the Builder.
`ClientWireProtocol.OpenIDAuthenticator`
`buildPartial()`
Like `MessageLite.Builder.build()`, but does not throw an exception if the message is missing required fields.
`ClientWireProtocol.OpenIDAuthenticator.Builder`
`clear()`
Called by the initialization and clear code paths to allow subclasses to reset any of their builtin fields back to the initial values.
`ClientWireProtocol.OpenIDAuthenticator.Builder`
`clearClientId()`
`string clientId = 2;`
`ClientWireProtocol.OpenIDAuthenticator.Builder`
`clearIssuer()`
`string issuer = 1;`
`ClientWireProtocol.OpenIDAuthenticator.Builder`
`clearScope()`
`repeated string scope = 3;`
`String`
`getClientId()`
`string clientId = 2;`
`ByteString`
`getClientIdBytes()`
`string clientId = 2;`
`ClientWireProtocol.OpenIDAuthenticator`
`getDefaultInstanceForType()`
Get an instance of the type with no fields set.
`static final Descriptors.Descriptor`
`getDescriptor()`
`Descriptors.Descriptor`
`getDescriptorForType()`
Get the message's type's descriptor.
`String`
`getIssuer()`
`string issuer = 1;`
`ByteString`
`getIssuerBytes()`
`string issuer = 1;`
`String`
`getScope(int index)`
`repeated string scope = 3;`
`ByteString`
`getScopeBytes(int index)`
`repeated string scope = 3;`
`int`
`getScopeCount()`
`repeated string scope = 3;`
`ProtocolStringList`
`getScopeList()`
`repeated string scope = 3;`
`protected GeneratedMessageV3.FieldAccessorTable`
`internalGetFieldAccessorTable()`
Get the FieldAccessorTable for this type.
`final boolean`
`isInitialized()`
Returns true if all required fields in the message and all embedded messages are set, false otherwise.
`ClientWireProtocol.OpenIDAuthenticator.Builder`
`mergeFrom(CodedInputStream input, ExtensionRegistryLite extensionRegistry)`
Like `MessageLite.Builder.mergeFrom(CodedInputStream)`, but also parses extensions.
`ClientWireProtocol.OpenIDAuthenticator.Builder`
`mergeFrom(Message other)`
Merge `other` into the message being built.
`ClientWireProtocol.OpenIDAuthenticator.Builder`
`mergeFrom(ClientWireProtocol.OpenIDAuthenticator other)`
`final ClientWireProtocol.OpenIDAuthenticator.Builder`
`mergeUnknownFields(UnknownFieldSet unknownFields)`
Merge some unknown fields into the `UnknownFieldSet` for this message.
`ClientWireProtocol.OpenIDAuthenticator.Builder`
`setClientId(String value)`
`string clientId = 2;`
`ClientWireProtocol.OpenIDAuthenticator.Builder`
`setClientIdBytes(ByteString value)`
`string clientId = 2;`
`ClientWireProtocol.OpenIDAuthenticator.Builder`
`setIssuer(String value)`
`string issuer = 1;`
`ClientWireProtocol.OpenIDAuthenticator.Builder`
`setIssuerBytes(ByteString value)`
`string issuer = 1;`
`ClientWireProtocol.OpenIDAuthenticator.Builder`
`setScope(int index, String value)`
`repeated string scope = 3;`
`final ClientWireProtocol.OpenIDAuthenticator.Builder`
`setUnknownFields(UnknownFieldSet unknownFields)`
Set the `UnknownFieldSet` for this message.

### Methods inherited from class com.google.protobuf.GeneratedMessageV3.Builder

`addRepeatedField, clearField, clearOneof, clone, getAllFields, getField, getFieldBuilder, getOneofFieldDescriptor, getParentForChildren, getRepeatedField, getRepeatedFieldBuilder, getRepeatedFieldCount, getUnknownFields, getUnknownFieldSetBuilder, hasField, hasOneof, internalGetMapField, internalGetMutableMapField, isClean, markClean, mergeUnknownLengthDelimitedField, mergeUnknownVarintField, newBuilderForField, onBuilt, onChanged, parseUnknownField, setField, setRepeatedField, setUnknownFieldSetBuilder, setUnknownFieldsProto3`

### Methods inherited from class com.google.protobuf.AbstractMessage.Builder

`findInitializationErrors, getInitializationErrorString, internalMergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, newUninitializedMessageException, toString`

### Methods inherited from class com.google.protobuf.AbstractMessageLite.Builder

`addAll, addAll, mergeDelimitedFrom, mergeDelimitedFrom, mergeFrom, newUninitializedMessageException`

### Methods inherited from class java.lang.Object

`equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface com.google.protobuf.Message.Builder

`mergeDelimitedFrom, mergeDelimitedFrom`

### Methods inherited from interface com.google.protobuf.MessageLite.Builder

`mergeFrom`

### Methods inherited from interface com.google.protobuf.MessageOrBuilder

`findInitializationErrors, getAllFields, getField, getInitializationErrorString, getOneofFieldDescriptor, getRepeatedField, getRepeatedFieldCount, getUnknownFields, hasField, hasOneof`

## Method Details

### getDescriptor

public static final Descriptors.Descriptor getDescriptor()

### internalGetFieldAccessorTable

protected GeneratedMessageV3.FieldAccessorTable internalGetFieldAccessorTable()
Description copied from class: `GeneratedMessageV3.Builder`
Get the FieldAccessorTable for this type. We can't have the message class pass this in to the constructor because of bootstrapping trouble with DescriptorProtos.

Specified by:
  `internalGetFieldAccessorTable` in class `GeneratedMessageV3.Builder<ClientWireProtocol.OpenIDAuthenticator.Builder>`

### clear

public ClientWireProtocol.OpenIDAuthenticator.Builder clear()
Description copied from class: `GeneratedMessageV3.Builder`
Called by the initialization and clear code paths to allow subclasses to reset any of their builtin fields back to the initial values.

Specified by:
  `clear` in interface `Message.Builder`
Specified by:
  `clear` in interface `MessageLite.Builder`
Overrides:
  `clear` in class `GeneratedMessageV3.Builder<ClientWireProtocol.OpenIDAuthenticator.Builder>`

### getDescriptorForType

public Descriptors.Descriptor getDescriptorForType()
Description copied from interface: `Message.Builder`
Get the message's type's descriptor. See `MessageOrBuilder.getDescriptorForType()`.

Specified by:
  `getDescriptorForType` in interface `Message.Builder`
Specified by:
  `getDescriptorForType` in interface `MessageOrBuilder`
Overrides:
  `getDescriptorForType` in class `GeneratedMessageV3.Builder<ClientWireProtocol.OpenIDAuthenticator.Builder>`

### getDefaultInstanceForType

public ClientWireProtocol.OpenIDAuthenticator getDefaultInstanceForType()
Description copied from interface: `MessageLiteOrBuilder`
Get an instance of the type with no fields set. Because no fields are set, all getters for singular fields will return default values and repeated fields will appear empty. This may or may not be a singleton. This differs from the `getDefaultInstance()` method of generated message classes in that this method is an abstract method of the `MessageLite` interface whereas `getDefaultInstance()` is a static method of a specific class. They return the same thing.

Specified by:
  `getDefaultInstanceForType` in interface `MessageLiteOrBuilder`
Specified by:
  `getDefaultInstanceForType` in interface `MessageOrBuilder`

### build

public ClientWireProtocol.OpenIDAuthenticator build()
Description copied from interface: `MessageLite.Builder`
Constructs the message based on the state of the Builder. Subsequent changes to the Builder will not affect the returned message.

Specified by:
  `build` in interface `Message.Builder`
Specified by:
  `build` in interface `MessageLite.Builder`

### buildPartial

public ClientWireProtocol.OpenIDAuthenticator buildPartial()
Description copied from interface: `MessageLite.Builder`
Like `MessageLite.Builder.build()`, but does not throw an exception if the message is missing required fields. Instead, a partial message is returned. Subsequent changes to the Builder will not affect the returned message.

Specified by:
  `buildPartial` in interface `Message.Builder`
Specified by:
  `buildPartial` in interface `MessageLite.Builder`

### mergeFrom

public ClientWireProtocol.OpenIDAuthenticator.Builder mergeFrom(Message other)
Description copied from interface: `Message.Builder`
Merge `other` into the message being built. `other` must have the exact same type as `this` (i.e. `getDescriptorForType() == other.getDescriptorForType()`).

Merging occurs as follows. For each field:
* For singular primitive fields, if the field is set in `other`, then `other`'s value overwrites the value in this message.
* For singular message fields, if the field is set in `other`, it is merged into the corresponding sub-message of this message using the same merging rules.
* For repeated fields, the elements in `other` are concatenated with the elements in this message.
* For oneof groups, if the other message has one of the fields set, the group of this message is cleared and replaced by the field of the other message, so that the oneof constraint is preserved.

This is equivalent to the `Message::MergeFrom` method in C++.

Specified by:
  `mergeFrom` in interface `Message.Builder`
Overrides:
  `mergeFrom` in class `AbstractMessage.Builder<ClientWireProtocol.OpenIDAuthenticator.Builder>`

### mergeFrom

public ClientWireProtocol.OpenIDAuthenticator.Builder mergeFrom(ClientWireProtocol.OpenIDAuthenticator other)

### isInitialized

public final boolean isInitialized()
Description copied from interface: `MessageLiteOrBuilder`
Returns true if all required fields in the message and all embedded messages are set, false otherwise.

See also: `MessageOrBuilder.getInitializationErrorString()`

Specified by:
  `isInitialized` in interface `MessageLiteOrBuilder`
Overrides:
  `isInitialized` in class `GeneratedMessageV3.Builder<ClientWireProtocol.OpenIDAuthenticator.Builder>`

### mergeFrom

public ClientWireProtocol.OpenIDAuthenticator.Builder mergeFrom(CodedInputStream input, ExtensionRegistryLite extensionRegistry) throws IOException
Description copied from interface: `MessageLite.Builder`
Like `MessageLite.Builder.mergeFrom(CodedInputStream)`, but also parses extensions. The extensions that you want to be able to parse must be registered in `extensionRegistry`. Extensions not in the registry will be treated as unknown fields.

Specified by:
  `mergeFrom` in interface `Message.Builder`
Specified by:
  `mergeFrom` in interface `MessageLite.Builder`
Overrides:
  `mergeFrom` in class `AbstractMessage.Builder<ClientWireProtocol.OpenIDAuthenticator.Builder>`
Throws:
  `InvalidProtocolBufferException` - the bytes read are not syntactically correct according to the protobuf wire format specification. The data is corrupt, incomplete, or was never a protobuf in the first place.
  `IOException` - an I/O error reading from the stream

### getIssuer

public String getIssuer()
`string issuer = 1;`

Specified by:
  `getIssuer` in interface `ClientWireProtocol.OpenIDAuthenticatorOrBuilder`
Returns:
  The issuer.

### getIssuerBytes

public ByteString getIssuerBytes()
`string issuer = 1;`

Specified by:
  `getIssuerBytes` in interface `ClientWireProtocol.OpenIDAuthenticatorOrBuilder`
Returns:
  The bytes for issuer.

### setIssuer

public ClientWireProtocol.OpenIDAuthenticator.Builder setIssuer(String value)
`string issuer = 1;`

Parameters:
  `value` - The issuer to set.
Returns:
  This builder for chaining.

### clearIssuer

public ClientWireProtocol.OpenIDAuthenticator.Builder clearIssuer()
`string issuer = 1;`

Returns:
  This builder for chaining.

### setIssuerBytes

public ClientWireProtocol.OpenIDAuthenticator.Builder setIssuerBytes(ByteString value)
`string issuer = 1;`

Parameters:
  `value` - The bytes for issuer to set.
Returns:
  This builder for chaining.

### getClientId

public String getClientId()
`string clientId = 2;`

Specified by:
  `getClientId` in interface `ClientWireProtocol.OpenIDAuthenticatorOrBuilder`
Returns:
  The clientId.

### getClientIdBytes

public ByteString getClientIdBytes()
`string clientId = 2;`

Specified by:
  `getClientIdBytes` in interface `ClientWireProtocol.OpenIDAuthenticatorOrBuilder`
Returns:
  The bytes for clientId.

### setClientId

public ClientWireProtocol.OpenIDAuthenticator.Builder setClientId(String value)
`string clientId = 2;`

Parameters:
  `value` - The clientId to set.
Returns:
  This builder for chaining.

### clearClientId

public ClientWireProtocol.OpenIDAuthenticator.Builder clearClientId()
`string clientId = 2;`

Returns:
  This builder for chaining.

### setClientIdBytes

public ClientWireProtocol.OpenIDAuthenticator.Builder setClientIdBytes(ByteString value)
`string clientId = 2;`

Parameters:
  `value` - The bytes for clientId to set.
Returns:
  This builder for chaining.

### getScopeList

public ProtocolStringList getScopeList()
`repeated string scope = 3;`

Specified by:
  `getScopeList` in interface `ClientWireProtocol.OpenIDAuthenticatorOrBuilder`
Returns:
  A list containing the scope.

### getScopeCount

public int getScopeCount()
`repeated string scope = 3;`

Specified by:
  `getScopeCount` in interface `ClientWireProtocol.OpenIDAuthenticatorOrBuilder`
Returns:
  The count of scope.

### getScope

public String getScope(int index)
`repeated string scope = 3;`

Specified by:
  `getScope` in interface `ClientWireProtocol.OpenIDAuthenticatorOrBuilder`
Parameters:
  `index` - The index of the element to return.
Returns:
  The scope at the given index.

### getScopeBytes

public ByteString getScopeBytes(int index)
`repeated string scope = 3;`

Specified by:
  `getScopeBytes` in interface `ClientWireProtocol.OpenIDAuthenticatorOrBuilder`
Parameters:
  `index` - The index of the value to return.
Returns:
  The bytes of the scope at the given index.

### setScope

public ClientWireProtocol.OpenIDAuthenticator.Builder setScope(int index, String value)
`repeated string scope = 3;`

Parameters:
  `index` - The index to set the value at.
  `value` - The scope to set.
Returns:
  This builder for chaining.

### addScope

public ClientWireProtocol.OpenIDAuthenticator.Builder addScope(String value)
`repeated string scope = 3;`

Parameters:
  `value` - The scope to add.
Returns:
  This builder for chaining.

### addAllScope

public ClientWireProtocol.OpenIDAuthenticator.Builder addAllScope(Iterable<String> values)
`repeated string scope = 3;`

Parameters:
  `values` - The scope to add.
Returns:
  This builder for chaining.

### clearScope

public ClientWireProtocol.OpenIDAuthenticator.Builder clearScope()
`repeated string scope = 3;`

Returns:
  This builder for chaining.

### addScopeBytes

public ClientWireProtocol.OpenIDAuthenticator.Builder addScopeBytes(ByteString value)
`repeated string scope = 3;`

Parameters:
  `value` - The bytes of the scope to add.
Returns:
  This builder for chaining.

### setUnknownFields

public final ClientWireProtocol.OpenIDAuthenticator.Builder setUnknownFields(UnknownFieldSet unknownFields)
Description copied from interface: `Message.Builder`
Set the `UnknownFieldSet` for this message.

Specified by:
  `setUnknownFields` in interface `Message.Builder`
Overrides:
  `setUnknownFields` in class `GeneratedMessageV3.Builder<ClientWireProtocol.OpenIDAuthenticator.Builder>`

### mergeUnknownFields

public final ClientWireProtocol.OpenIDAuthenticator.Builder mergeUnknownFields(UnknownFieldSet unknownFields)
Description copied from interface: `Message.Builder`
Merge some unknown fields into the `UnknownFieldSet` for this message.

Specified by:
  `mergeUnknownFields` in interface `Message.Builder`
Overrides:
  `mergeUnknownFields` in class `GeneratedMessageV3.Builder<ClientWireProtocol.OpenIDAuthenticator.Builder>`